<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Morphology.IrregularVerbs</span><span>
</span><span id="line-2"></span><span>  </span><span class="hs-special">(</span><span> </span><span class="annot"><a href="Morphology.IrregularVerbs.html#inflectIzan"><span class="hs-identifier">inflectIzan</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-3"></span><span>    </span><span class="annot"><a href="Morphology.IrregularVerbs.html#inflectUkan"><span class="hs-identifier">inflectUkan</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-4"></span><span>    </span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier">izanPresent</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-5"></span><span>    </span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier">izanPast</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-6"></span><span>    </span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanPresent"><span class="hs-identifier">ukanPresent</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-7"></span><span>    </span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanPast"><span class="hs-identifier">ukanPast</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-8"></span><span>  </span><span class="hs-special">)</span><span>
</span><span id="line-9"></span><span class="hs-keyword">where</span><span>
</span><span id="line-10"></span><span>
</span><span id="line-11"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="EuskeraAppError.html"><span class="hs-identifier">EuskeraAppError</span></a></span><span>
</span><span id="line-12"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-13"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Morphology.Utils.html"><span class="hs-identifier">Morphology.Utils</span></a></span><span>
</span><span id="line-14"></span><span>
</span><span id="line-15"></span><span class="hs-comment">--------------------------------------------------------------------------------</span><span>
</span><span id="line-16"></span><span class="hs-comment">-- IZAN ------------------------------------------------------------------------</span><span>
</span><span id="line-17"></span><span class="hs-comment">--------------------------------------------------------------------------------</span><span>
</span><span id="line-18"></span><span>
</span><span id="line-19"></span><span class="hs-comment">-- | Synthetic inflection of verb &quot;izan&quot; (to be)</span><span>
</span><span id="line-20"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#inflectIzan"><span class="hs-identifier hs-type">inflectIzan</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Verbal.html#Tense"><span class="hs-identifier hs-type">Tense</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#NF"><span class="hs-identifier hs-type">NF</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-21"></span><span id="inflectIzan"><span class="annot"><span class="annottext">inflectIzan :: Tense -&gt; NF -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#inflectIzan"><span class="hs-identifier hs-var hs-var">inflectIzan</span></a></span></span><span> </span><span class="annot"><span class="annottext">Tense
</span><a href="Features.Verbal.html#Present"><span class="hs-identifier hs-var">Present</span></a></span><span> </span><span id="local-6989586621679082107"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082107"><span class="hs-identifier hs-var">norkFeatures</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-22"></span><span>  </span><span class="annot"><span class="annottext">Person -&gt; Number -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier hs-var">izanPresent</span></a></span><span>
</span><span id="line-23"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; Person
</span><a href="Features.Nominal.html#person"><span class="hs-identifier hs-var hs-var">person</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082107"><span class="hs-identifier hs-var">norkFeatures</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-24"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; Number
</span><a href="Features.Nominal.html#number"><span class="hs-identifier hs-var hs-var">number</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082107"><span class="hs-identifier hs-var">norkFeatures</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-25"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#inflectIzan"><span class="hs-identifier hs-var">inflectIzan</span></a></span><span> </span><span class="annot"><span class="annottext">Tense
</span><a href="Features.Verbal.html#Past"><span class="hs-identifier hs-var">Past</span></a></span><span> </span><span id="local-6989586621679082103"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082103"><span class="hs-identifier hs-var">norkFeatures</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-26"></span><span>  </span><span class="annot"><span class="annottext">Person -&gt; Number -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier hs-var">izanPast</span></a></span><span>
</span><span id="line-27"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; Person
</span><a href="Features.Nominal.html#person"><span class="hs-identifier hs-var hs-var">person</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082103"><span class="hs-identifier hs-var">norkFeatures</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-28"></span><span>    </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; Number
</span><a href="Features.Nominal.html#number"><span class="hs-identifier hs-var hs-var">number</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082103"><span class="hs-identifier hs-var">norkFeatures</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-29"></span><span>
</span><span id="line-30"></span><span class="hs-comment">-- | Present punctual conjugation of verb &quot;izan&quot;</span><span>
</span><span id="line-31"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier hs-type">izanPresent</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-32"></span><span id="izanPresent"><span class="annot"><span class="annottext">izanPresent :: Person -&gt; Number -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier hs-var hs-var">izanPresent</span></a></span></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;naiz&quot;</span></span><span>
</span><span id="line-33"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier hs-var">izanPresent</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zara&quot;</span></span><span>
</span><span id="line-34"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier hs-var">izanPresent</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;da&quot;</span></span><span>
</span><span id="line-35"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier hs-var">izanPresent</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;gara&quot;</span></span><span>
</span><span id="line-36"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier hs-var">izanPresent</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zarete&quot;</span></span><span>
</span><span id="line-37"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPresent"><span class="hs-identifier hs-var">izanPresent</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;dira&quot;</span></span><span>
</span><span id="line-38"></span><span>
</span><span id="line-39"></span><span class="hs-comment">-- | Past punctual conjugation of verb &quot;izan&quot;</span><span>
</span><span id="line-40"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier hs-type">izanPast</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-41"></span><span id="izanPast"><span class="annot"><span class="annottext">izanPast :: Person -&gt; Number -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier hs-var hs-var">izanPast</span></a></span></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;nintzen&quot;</span></span><span>
</span><span id="line-42"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier hs-var">izanPast</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zinen&quot;</span></span><span>
</span><span id="line-43"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier hs-var">izanPast</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zen&quot;</span></span><span>
</span><span id="line-44"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier hs-var">izanPast</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;ginen&quot;</span></span><span>
</span><span id="line-45"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier hs-var">izanPast</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zineten&quot;</span></span><span>
</span><span id="line-46"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#izanPast"><span class="hs-identifier hs-var">izanPast</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;ziren&quot;</span></span><span>
</span><span id="line-47"></span><span>
</span><span id="line-48"></span><span class="hs-comment">--------------------------------------------------------------------------------</span><span>
</span><span id="line-49"></span><span class="hs-comment">-- UKAN ------------------------------------------------------------------------</span><span>
</span><span id="line-50"></span><span class="hs-comment">--------------------------------------------------------------------------------</span><span>
</span><span id="line-51"></span><span>
</span><span id="line-52"></span><span class="hs-comment">-- | Synthetic inflection of verb &quot;ukan&quot; (to have)</span><span>
</span><span id="line-53"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#inflectUkan"><span class="hs-identifier hs-type">inflectUkan</span></a></span><span> </span><span class="hs-glyph">::</span><span>
</span><span id="line-54"></span><span>  </span><span class="annot"><a href="Features.Verbal.html#Tense"><span class="hs-identifier hs-type">Tense</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-55"></span><span>  </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-56"></span><span>  </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-57"></span><span>  </span><span class="annot"><span class="hs-identifier hs-type">Either</span></span><span> </span><span class="annot"><a href="EuskeraAppError.html#EuskeraAppError"><span class="hs-identifier hs-type">EuskeraAppError</span></a></span><span> </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-58"></span><span id="inflectUkan"><span class="annot"><span class="annottext">inflectUkan :: Tense
-&gt; (Person, Number)
-&gt; (Person, Number)
-&gt; Either EuskeraAppError InflectedWord
</span><a href="Morphology.IrregularVerbs.html#inflectUkan"><span class="hs-identifier hs-var hs-var">inflectUkan</span></a></span></span><span> </span><span class="annot"><span class="annottext">Tense
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-59"></span><span>  </span><span class="annot"><span class="annottext">EuskeraAppError -&gt; Either EuskeraAppError InflectedWord
forall a b. a -&gt; Either a b
</span><span class="hs-identifier hs-var">Left</span></span><span> </span><span class="annot"><span class="annottext">(EuskeraAppError -&gt; Either EuskeraAppError InflectedWord)
-&gt; EuskeraAppError -&gt; Either EuskeraAppError InflectedWord
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; EuskeraAppError
</span><a href="EuskeraAppError.html#InflectionError"><span class="hs-identifier hs-var">InflectionError</span></a></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;Nor and nor arguments cannot both be first person&quot;</span></span><span>
</span><span id="line-60"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#inflectUkan"><span class="hs-identifier hs-var">inflectUkan</span></a></span><span> </span><span class="annot"><span class="annottext">Tense
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-61"></span><span>  </span><span class="annot"><span class="annottext">EuskeraAppError -&gt; Either EuskeraAppError InflectedWord
forall a b. a -&gt; Either a b
</span><span class="hs-identifier hs-var">Left</span></span><span> </span><span class="annot"><span class="annottext">(EuskeraAppError -&gt; Either EuskeraAppError InflectedWord)
-&gt; EuskeraAppError -&gt; Either EuskeraAppError InflectedWord
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; EuskeraAppError
</span><a href="EuskeraAppError.html#InflectionError"><span class="hs-identifier hs-var">InflectionError</span></a></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;Nor and nor arguments cannot both be second person&quot;</span></span><span>
</span><span id="line-62"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#inflectUkan"><span class="hs-identifier hs-var">inflectUkan</span></a></span><span> </span><span class="annot"><span class="annottext">Tense
</span><a href="Features.Verbal.html#Present"><span class="hs-identifier hs-var">Present</span></a></span><span> </span><span id="local-6989586621679082096"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082096"><span class="hs-identifier hs-var">norkF</span></a></span></span><span> </span><span id="local-6989586621679082095"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082095"><span class="hs-identifier hs-var">norF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; Either EuskeraAppError InflectedWord
forall a b. b -&gt; Either a b
</span><span class="hs-identifier hs-var">Right</span></span><span> </span><span class="annot"><span class="annottext">(InflectedWord -&gt; Either EuskeraAppError InflectedWord)
-&gt; InflectedWord -&gt; Either EuskeraAppError InflectedWord
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">(Person, Number) -&gt; (Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanPresent"><span class="hs-identifier hs-var">ukanPresent</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082096"><span class="hs-identifier hs-var">norkF</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082095"><span class="hs-identifier hs-var">norF</span></a></span><span>
</span><span id="line-63"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#inflectUkan"><span class="hs-identifier hs-var">inflectUkan</span></a></span><span> </span><span class="annot"><span class="annottext">Tense
</span><a href="Features.Verbal.html#Past"><span class="hs-identifier hs-var">Past</span></a></span><span> </span><span id="local-6989586621679082094"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082094"><span class="hs-identifier hs-var">norkF</span></a></span></span><span> </span><span id="local-6989586621679082093"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082093"><span class="hs-identifier hs-var">norF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; Either EuskeraAppError InflectedWord
forall a b. b -&gt; Either a b
</span><span class="hs-identifier hs-var">Right</span></span><span> </span><span class="annot"><span class="annottext">(InflectedWord -&gt; Either EuskeraAppError InflectedWord)
-&gt; InflectedWord -&gt; Either EuskeraAppError InflectedWord
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">(Person, Number) -&gt; (Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanPast"><span class="hs-identifier hs-var">ukanPast</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082094"><span class="hs-identifier hs-var">norkF</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082093"><span class="hs-identifier hs-var">norF</span></a></span><span>
</span><span id="line-64"></span><span>
</span><span id="line-65"></span><span class="hs-comment">-- | Present punctual conjugation of verb &quot;ukan&quot;</span><span>
</span><span id="line-66"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanPresent"><span class="hs-identifier hs-type">ukanPresent</span></a></span><span> </span><span class="hs-glyph">::</span><span>
</span><span id="line-67"></span><span>  </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-68"></span><span>  </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-69"></span><span>  </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-70"></span><span id="ukanPresent"><span class="annot"><span class="annottext">ukanPresent :: (Person, Number) -&gt; (Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanPresent"><span class="hs-identifier hs-var hs-var">ukanPresent</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082092"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082092"><span class="hs-identifier hs-var">norPersonNum</span></a></span></span><span>
</span><span id="line-71"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082092"><span class="hs-identifier hs-var">norPersonNum</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number) -&gt; (Person, Number) -&gt; Bool
forall a. Eq a =&gt; a -&gt; a -&gt; Bool
</span><span class="hs-operator hs-var">==</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-72"></span><span>    </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#norkThirdPluralException"><span class="hs-identifier hs-var">norkThirdPluralException</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082092"><span class="hs-identifier hs-var">norPersonNum</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-73"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082092"><span class="hs-identifier hs-var">norPersonNum</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number) -&gt; (Person, Number) -&gt; Bool
forall a. Eq a =&gt; a -&gt; a -&gt; Bool
</span><span class="hs-operator hs-var">==</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-74"></span><span>    </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#norkThirdPluralException"><span class="hs-identifier hs-var">norkThirdPluralException</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082092"><span class="hs-identifier hs-var">norPersonNum</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-75"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082092"><span class="hs-identifier hs-var">norPersonNum</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number) -&gt; (Person, Number) -&gt; Bool
forall a. Eq a =&gt; a -&gt; a -&gt; Bool
</span><span class="hs-operator hs-var">==</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-76"></span><span>    </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#norkThirdPluralException"><span class="hs-identifier hs-var">norkThirdPluralException</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082092"><span class="hs-identifier hs-var">norPersonNum</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-77"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanPresent"><span class="hs-identifier hs-var">ukanPresent</span></a></span><span> </span><span id="local-6989586621679082089"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082089"><span class="hs-identifier hs-var">norkPersonNum</span></a></span></span><span> </span><span id="local-6989586621679082088"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082088"><span class="hs-identifier hs-var">norPersonNum</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-78"></span><span>  </span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePresent"><span class="hs-identifier hs-var">ukanNorkMorphemePresent</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082089"><span class="hs-identifier hs-var">norkPersonNum</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082088"><span class="hs-identifier hs-var">norPersonNum</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-79"></span><span>
</span><span id="line-80"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-type">ukanNorMorphemePresent</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-81"></span><span id="ukanNorMorphemePresent"><span class="annot"><span class="annottext">ukanNorMorphemePresent :: (Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var hs-var">ukanNorMorphemePresent</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;nau&quot;</span></span><span>
</span><span id="line-82"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zaitu&quot;</span></span><span>
</span><span id="line-83"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;du&quot;</span></span><span>
</span><span id="line-84"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;gaitu&quot;</span></span><span>
</span><span id="line-85"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zaituzte&quot;</span></span><span>
</span><span id="line-86"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePresent"><span class="hs-identifier hs-var">ukanNorMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;ditu&quot;</span></span><span>
</span><span id="line-87"></span><span>
</span><span id="line-88"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePresent"><span class="hs-identifier hs-type">ukanNorkMorphemePresent</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-89"></span><span id="ukanNorkMorphemePresent"><span class="annot"><span class="annottext">ukanNorkMorphemePresent :: (Person, Number) -&gt; InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePresent"><span class="hs-identifier hs-var hs-var">ukanNorkMorphemePresent</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;t&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-90"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePresent"><span class="hs-identifier hs-var">ukanNorkMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zu&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-91"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePresent"><span class="hs-identifier hs-var">ukanNorkMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord
forall a. a -&gt; a
</span><span class="hs-identifier hs-var">id</span></span><span>
</span><span id="line-92"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePresent"><span class="hs-identifier hs-var">ukanNorkMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;gu&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-93"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePresent"><span class="hs-identifier hs-var">ukanNorkMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zue&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-94"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePresent"><span class="hs-identifier hs-var">ukanNorkMorphemePresent</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;te&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-95"></span><span>
</span><span id="line-96"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#norkThirdPluralException"><span class="hs-identifier hs-type">norkThirdPluralException</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-97"></span><span id="norkThirdPluralException"><span class="annot"><span class="annottext">norkThirdPluralException :: InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#norkThirdPluralException"><span class="hs-identifier hs-var hs-var">norkThirdPluralException</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zte&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-98"></span><span>
</span><span id="line-99"></span><span class="hs-comment">-- | Present punctual conjugation of verb &quot;ukan&quot;</span><span>
</span><span id="line-100"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanPast"><span class="hs-identifier hs-type">ukanPast</span></a></span><span> </span><span class="hs-glyph">::</span><span>
</span><span id="line-101"></span><span>  </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-102"></span><span>  </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-103"></span><span>  </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-104"></span><span id="ukanPast"><span class="annot"><span class="annottext">ukanPast :: (Person, Number) -&gt; (Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanPast"><span class="hs-identifier hs-var hs-var">ukanPast</span></a></span></span><span> </span><span id="local-6989586621679082084"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082084"><span class="hs-identifier hs-var">norkF</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679082083"><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082083"><span class="hs-identifier hs-var">norNum</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Number -&gt; (Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPast"><span class="hs-identifier hs-var">ukanThirdPersonPast</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082083"><span class="hs-identifier hs-var">norNum</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082084"><span class="hs-identifier hs-var">norkF</span></a></span><span>
</span><span id="line-105"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanPast"><span class="hs-identifier hs-var">ukanPast</span></a></span><span> </span><span id="local-6989586621679082081"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082081"><span class="hs-identifier hs-var">norkF</span></a></span></span><span> </span><span id="local-6989586621679082080"><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082080"><span class="hs-identifier hs-var">norF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePast"><span class="hs-identifier hs-var">ukanNorkMorphemePast</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082081"><span class="hs-identifier hs-var">norkF</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePast"><span class="hs-identifier hs-var">ukanNorMorphemePast</span></a></span><span> </span><span class="annot"><span class="annottext">(Person, Number)
</span><a href="#local-6989586621679082080"><span class="hs-identifier hs-var">norF</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-106"></span><span>
</span><span id="line-107"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePast"><span class="hs-identifier hs-type">ukanNorMorphemePast</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-108"></span><span id="ukanNorMorphemePast"><span class="annot"><span class="annottext">ukanNorMorphemePast :: (Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePast"><span class="hs-identifier hs-var hs-var">ukanNorMorphemePast</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;nindu&quot;</span></span><span>
</span><span id="line-109"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePast"><span class="hs-identifier hs-var">ukanNorMorphemePast</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zintu&quot;</span></span><span>
</span><span id="line-110"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePast"><span class="hs-identifier hs-var">ukanNorMorphemePast</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;gintu&quot;</span></span><span>
</span><span id="line-111"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorMorphemePast"><span class="hs-identifier hs-var">ukanNorMorphemePast</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zintuzte&quot;</span></span><span>
</span><span id="line-112"></span><span>
</span><span id="line-113"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePast"><span class="hs-identifier hs-type">ukanNorkMorphemePast</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-114"></span><span id="ukanNorkMorphemePast"><span class="annot"><span class="annottext">ukanNorkMorphemePast :: (Person, Number) -&gt; InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePast"><span class="hs-identifier hs-var hs-var">ukanNorkMorphemePast</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;dan&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-115"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePast"><span class="hs-identifier hs-var">ukanNorkMorphemePast</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zun&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-116"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePast"><span class="hs-identifier hs-var">ukanNorkMorphemePast</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;en&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-117"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePast"><span class="hs-identifier hs-var">ukanNorkMorphemePast</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;gun&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-118"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePast"><span class="hs-identifier hs-var">ukanNorkMorphemePast</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zuen&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-119"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanNorkMorphemePast"><span class="hs-identifier hs-var">ukanNorkMorphemePast</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;ten&quot;</span></span><span class="hs-special">)</span><span>
</span><span id="line-120"></span><span>
</span><span id="line-121"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPast"><span class="hs-identifier hs-type">ukanThirdPersonPast</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-122"></span><span id="ukanThirdPersonPast"><span class="annot"><span class="annottext">ukanThirdPersonPast :: Number -&gt; (Person, Number) -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPast"><span class="hs-identifier hs-var hs-var">ukanThirdPersonPast</span></a></span></span><span> </span><span id="local-6989586621679082077"><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082077"><span class="hs-identifier hs-var">norNum</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-123"></span><span>  </span><span class="hs-keyword">case</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082077"><span class="hs-identifier hs-var">norNum</span></a></span><span> </span><span class="hs-keyword">of</span><span>
</span><span id="line-124"></span><span>    </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zenuten&quot;</span></span><span>
</span><span id="line-125"></span><span>    </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zenituzten&quot;</span></span><span>
</span><span id="line-126"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPast"><span class="hs-identifier hs-var">ukanThirdPersonPast</span></a></span><span> </span><span id="local-6989586621679082076"><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082076"><span class="hs-identifier hs-var">norNum</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-127"></span><span>  </span><span class="hs-keyword">case</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082076"><span class="hs-identifier hs-var">norNum</span></a></span><span> </span><span class="hs-keyword">of</span><span>
</span><span id="line-128"></span><span>    </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zuten&quot;</span></span><span>
</span><span id="line-129"></span><span>    </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zituzten&quot;</span></span><span>
</span><span id="line-130"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPast"><span class="hs-identifier hs-var">ukanThirdPersonPast</span></a></span><span> </span><span id="local-6989586621679082075"><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082075"><span class="hs-identifier hs-var">norNumber</span></a></span></span><span> </span><span class="hs-special">(</span><span id="local-6989586621679082074"><span class="annot"><span class="annottext">Person
</span><a href="#local-6989586621679082074"><span class="hs-identifier hs-var">norkPerson</span></a></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679082073"><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082073"><span class="hs-identifier hs-var">norkNumber</span></a></span></span><span class="hs-special">)</span><span>
</span><span id="line-131"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082075"><span class="hs-identifier hs-var">norNumber</span></a></span><span> </span><span class="annot"><span class="annottext">Number -&gt; Number -&gt; Bool
forall a. Eq a =&gt; a -&gt; a -&gt; Bool
</span><span class="hs-operator hs-var">==</span></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-132"></span><span>    </span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPastPattern"><span class="hs-identifier hs-var">ukanThirdPersonPastPattern</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="#local-6989586621679082074"><span class="hs-identifier hs-var">norkPerson</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082073"><span class="hs-identifier hs-var">norkNumber</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;&quot;</span></span><span>
</span><span id="line-133"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082075"><span class="hs-identifier hs-var">norNumber</span></a></span><span> </span><span class="annot"><span class="annottext">Number -&gt; Number -&gt; Bool
forall a. Eq a =&gt; a -&gt; a -&gt; Bool
</span><span class="hs-operator hs-var">==</span></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-134"></span><span>    </span><span class="annot"><span class="annottext">(Person, Number) -&gt; InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPastPattern"><span class="hs-identifier hs-var">ukanThirdPersonPastPattern</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="#local-6989586621679082074"><span class="hs-identifier hs-var">norkPerson</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082073"><span class="hs-identifier hs-var">norkNumber</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;it&quot;</span></span><span>
</span><span id="line-135"></span><span>
</span><span id="line-136"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPastPattern"><span class="hs-identifier hs-type">ukanThirdPersonPastPattern</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-137"></span><span id="ukanThirdPersonPastPattern"><span class="annot"><span class="annottext">ukanThirdPersonPastPattern :: (Person, Number) -&gt; InflectedWord -&gt; InflectedWord
</span><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPastPattern"><span class="hs-identifier hs-var hs-var">ukanThirdPersonPastPattern</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082071"><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082071"><span class="hs-identifier hs-var">plural</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;n&quot;</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082071"><span class="hs-identifier hs-var">plural</span></a></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;uen&quot;</span></span><span>
</span><span id="line-138"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPastPattern"><span class="hs-identifier hs-var">ukanThirdPersonPastPattern</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082070"><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082070"><span class="hs-identifier hs-var">plural</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;zen&quot;</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082070"><span class="hs-identifier hs-var">plural</span></a></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;uen&quot;</span></span><span>
</span><span id="line-139"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPastPattern"><span class="hs-identifier hs-var">ukanThirdPersonPastPattern</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082069"><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082069"><span class="hs-identifier hs-var">plural</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;z&quot;</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082069"><span class="hs-identifier hs-var">plural</span></a></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;uen&quot;</span></span><span>
</span><span id="line-140"></span><span class="annot"><a href="Morphology.IrregularVerbs.html#ukanThirdPersonPastPattern"><span class="hs-identifier hs-var">ukanThirdPersonPastPattern</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082068"><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082068"><span class="hs-identifier hs-var">plural</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;gen&quot;</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><a href="#local-6989586621679082068"><span class="hs-identifier hs-var">plural</span></a></span><span> </span><span class="annot"><span class="annottext">InflectedWord -&gt; InflectedWord -&gt; InflectedWord
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">InflectedWord
</span><span class="hs-string">&quot;uen&quot;</span></span><span>
</span><span id="line-141"></span></pre></body></html>